Package svnmailer :: Module subversion :: Class PathDescriptor

[hide private]

# Class PathDescriptor

source code

    object --+
             |
            PathDescriptor

Known Subclasses:
  - LockedPathDescriptor
  - , VersionedPathDescriptor

Describes the basic information of a particular path

Instance Methods | [hide private]

__init__(self, repos, path, *args, **kwargs) Initialization | source code

init(self, *args, **kwargs) Custom initialization | source code

`int`

__cmp__(self, other) Compares two change objects by path | source code

`bool`

isDirectory(self) Returns whether the path is a directory | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Instance Variables | [hide private]

`str` | path The path, we're talking about
`Repository` | repos The repository this change belongs to

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, repos, path, *args, **kwargs)
(Constructor)

source code

Initialization

Parameters:
  - `repos` (`Repository`) - The repository reference
  - `path` (`str`) - The path
Overrides: object.__init__

Note: Don't override this method, override init instead.

### __cmp__(self, other)
(Comparison operator)

source code

Compares two change objects by path

Parameters:
  - `other` (hopefully `VersionedPathDescriptor`) - The object compared to
Returns: `int`
  Returns -1, 0 or 1

### isDirectory(self)

source code

Returns whether the path is a directory

Returns: `bool`
  is a directory?